Bug 1290807 - [RFE] Do not delete facts during discovered provisioning
Summary: [RFE] Do not delete facts during discovered provisioning
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Discovery Plugin
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard: hotfix, hotfix_delivered
Keywords: FieldEngineering, FutureFeature, Reopened, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-11 14:19 UTC by John Fulton
Modified: 2019-06-13 21:25 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-03-08 22:09:35 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 12244 None None None Never
Red Hat Bugzilla 1272238 None None None Never

Description John Fulton 2015-12-11 14:19:19 UTC
In Red Hat BZ 1272238 Foreman was modified so that Puppet facts don't have to be lost when a host is set to the build state. This is a request for the same functionality to be added to Satellite 6.x. 

As per Lukas Zapletal's comment [1] in BZ 1272238 an upstream issue [2] exists to track this, though I understand that the codebase is now a little different and the correct method to put the code in has changed. 

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1272238#c8
[2] http://projects.theforeman.org/issues/12244

Comment 2 Lukas Zapletal 2015-12-14 09:03:19 UTC
For the record, in the latest Discovery 4.1 (part of Foreman 1.10 and Satellite 6.1.5) we do not delete facts with "discovery_" prefix. This can be used as a workaround (report all facts which must be preserved as discovery_xyz).

Valid RFE, we are tracking this already as http://projects.theforeman.org/issues/12244 upstream.

Comment 4 Lukas Zapletal 2016-05-13 07:24:20 UTC
This is a future RFE, we are discussing redesigning discovered hosts which should provide this feature.

Comment 9 Lukas Zapletal 2017-04-18 11:15:54 UTC
Hello,

this is already implemented in Satellite 6.2. There is a new setting called "Clean all facts" which can be set to false to prevent the unwanted behavior. If you want to delete just some facts, set it to true and name all facts to be kept "discovery_*" and they will survive provisioning (but will be deleted on puppet checkin).

This behavior will be the same in Satellite 6.3 (where Discovery 9.0 is planned).

Comment 10 Lukas Zapletal 2017-04-18 14:49:36 UTC
Correction, this was implemented upstream and it will be available in Satellite 6.3.

Comment 11 Lukas Zapletal 2017-11-21 08:20:42 UTC
Hello,

since there is still no 6.3 and several customers hit this, I am requesting this into 6.2.14.

Comment 13 Mike McCune 2018-02-06 16:10:35 UTC
Will consider for 6.2.15

Comment 14 Mike McCune 2018-03-08 22:09:35 UTC
This is resolved in Satellite 6.3. If you have upgraded and are still
seeing this issue, please feel free to re-open and provide additional
information about the issue.


Note You need to log in before you can comment on or make changes to this bug.